Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.security
Interface ServerSocketFactoryMBean

All Known Subinterfaces:
  SSLServerSocketFactoryServiceMBean

All Known Implementing Classes:
  SSLServerSocketFactoryService

    public interface ServerSocketFactoryMBean

This interface is due to the constraint added by using JMX based configuration. If want to inject a custom server socket factory (or the one provided by JBossRemoting), it has to implement this interface. This is due to the fact that concrete objects can not be injected at this point, only interfaces (and the java language ServerSocketFactory class does not implement any interface).

Author:
  Tom Elrod

Method Summary
`java.net.ServerSocket` | `createServerSocket()` Returns an unbound server socket.
`java.net.ServerSocket` | `createServerSocket(int i)` Returns a server socket bound to the specified port.
`java.net.ServerSocket` | `createServerSocket(int i, int i1)` Returns a server socket bound to the specified port, and uses the specified connection backlog.
`java.net.ServerSocket` | `createServerSocket(int i, int i1, java.net.InetAddress inetAddress)` Returns a server socket bound to the specified port, with a specified listen backlog and local IP.

Method Detail

### createServerSocket

    java.net.ServerSocket createServerSocket()
                                             throws java.io.IOException

  Returns an unbound server socket. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Returns:
  Throws:
    `java.io.IOException`

### createServerSocket

    java.net.ServerSocket createServerSocket(int i)
                                             throws java.io.IOException

  Returns a server socket bound to the specified port. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Parameters:
    `i` -
  Returns:
  Throws:
    `java.io.IOException`

### createServerSocket

    java.net.ServerSocket createServerSocket(int i,
                                             int i1)
                                             throws java.io.IOException

  Returns a server socket bound to the specified port, and uses the specified connection backlog. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Parameters:
    `i` -
    `i1` -
  Returns:
  Throws:
    `java.io.IOException`

### createServerSocket

    java.net.ServerSocket createServerSocket(int i,
                                             int i1,
                                             java.net.InetAddress inetAddress)
                                             throws java.io.IOException

  Returns a server socket bound to the specified port, with a specified listen backlog and local IP. The bindAddr argument can be used on a multi-homed host for a ServerSocket that will only accept connect requests to one of its addresses. The socket is configured with the socket options (such as accept timeout) given to this factory.

  Parameters:
    `i` -
    `i1` -
    `inetAddress` -
  Returns:
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.